/**
* Classe che implementa l'interfaccia Comparable
*/

public class MyClass implements Comparable {
   protected String nome;
   protected String cognome;  
   protected int eta;
   

   public MyClass() { this ("","",0); }

   // completare costruttori ...

   public MyClass(String nome, String cognome, int eta) {
 	this.nome=nome;
	this.cognome=cognome;
	this.eta=eta;	
   }	


   public String getNome(){ return nome; }
   public String getCognome(){ return cognome; }
   public int getEta(){ return eta; }

   public void setNome(String nome){ this.nome = nome; }
   public void setCognome(String cognome){ this.cognome = cognome; }
   public void setEta(int eta){ this.eta = eta; }



   public boolean equals( Object obj ) {
	    if (obj == null) return false;
	    MyClass x = (MyClass) obj;
            return nome.equals(x.nome) && cognome.equals(x.cognome) && eta==x.eta;
        }


   public String toString( ) {
            return cognome + " " + nome + " " + eta + " anni\n";
        }

 
/****** NB sfruttare l'overriding per altri confronti ****/

   // DEFAULT: confronto basato sull'anagrafica
   public int compareTo( Object obj ) {
	MyClass x = (MyClass)obj;
	int c = (this.cognome).compareTo(x.cognome);
	if (c != 0) return c;
	else return (this.nome).compareTo(x.nome);
   }


}